JsonCpp project page | Classes | Namespace | JsonCpp home page

Namespaces | Macros | Typedefs | Functions | Variables
json_reader.cpp File Reference
`#include "json_tool.h"`
`#include <json/assertions.h>`
`#include <json/reader.h>`
`#include <json/value.h>`
`#include <algorithm>`
`#include <cassert>`
`#include <cstring>`
`#include <iostream>`
`#include <istream>`
`#include <limits>`
`#include <memory>`
`#include <set>`
`#include <sstream>`
`#include <utility>`
`#include <cstdio>`
Include dependency graph for json_reader.cpp:

Go to the source code of this file.

## Namespaces
namespace | Json
| JSON (JavaScript Object Notation).

## Macros
#define | _CRT_SECURE_CPP_OVERLOAD_STANDARD_NAMES 1
#define | JSONCPP_DEPRECATED_STACK_LIMIT 1000

## Typedefs
using | Json::CharReaderPtr = std::auto_ptr<CharReader>

## Functions
bool | Json::parseFromStream (CharReader::Factory const &, IStream &, Value *root, String *errs)
| Consume entire stream and use its begin/end.
IStream & | Json::operator>> (IStream &, Value &)
| Read from 'sin' into 'root'.

## Variables
static size_t const | stackLimit_g

## Macro Definition Documentation

## ◆ _CRT_SECURE_CPP_OVERLOAD_STANDARD_NAMES

#define _CRT_SECURE_CPP_OVERLOAD_STANDARD_NAMES 1

Definition at line 35 of file json_reader.cpp.

## ◆ JSONCPP_DEPRECATED_STACK_LIMIT

#define JSONCPP_DEPRECATED_STACK_LIMIT 1000

Definition at line 47 of file json_reader.cpp.

## Variable Documentation

## ◆ stackLimit_g

size_t const stackLimit_g
| static

Initial value:
=
1000

Definition at line 50 of file json_reader.cpp.